internal-flt.h File Reference

## Macros

#define | MAKE_COMBINING_CODE(base_y, base_x, add_y, add_x, off_y, off_x)
#define | COMBINING_CODE_OFF_Y(code) ((((code) >> 16) & 0xFF) - 128)
#define | COMBINING_CODE_OFF_X(code) ((((code) >> 8) & 0xFF) - 128)
#define | COMBINING_CODE_BASE_X(code) (((code) >> 6) & 0x3)
#define | COMBINING_CODE_BASE_Y(code) (((code) >> 4) & 0x3)
#define | COMBINING_CODE_ADD_X(code) (((code) >> 2) & 0x3)
#define | COMBINING_CODE_ADD_Y(code) ((code) & 0x3)
#define | PACK_OTF_TAG(TAG)

## Variables

MSymbol | Mcombining

## Macro Definition Documentation

## MAKE_COMBINING_CODE

#define MAKE_COMBINING_CODE | ( |  | base_y,
|  |  | base_x,
|  |  | add_y,
|  |  | add_x,
|  |  | off_y,
|  |  | off_x
| ) |  |

Value:
(((off_y) << 16) \
| ((off_x) << 8) \
| ((base_x) << 6) \
| ((base_y) << 4) \
| ((add_x) << 2) \
| (add_y))

## COMBINING_CODE_OFF_Y

#define COMBINING_CODE_OFF_Y | ( |  | code | ) | ((((code) >> 16) & 0xFF) - 128)

## COMBINING_CODE_OFF_X

#define COMBINING_CODE_OFF_X | ( |  | code | ) | ((((code) >> 8) & 0xFF) - 128)

## COMBINING_CODE_BASE_X

#define COMBINING_CODE_BASE_X | ( |  | code | ) | (((code) >> 6) & 0x3)

## COMBINING_CODE_BASE_Y

#define COMBINING_CODE_BASE_Y | ( |  | code | ) | (((code) >> 4) & 0x3)

## COMBINING_CODE_ADD_X

#define COMBINING_CODE_ADD_X | ( |  | code | ) | (((code) >> 2) & 0x3)

## COMBINING_CODE_ADD_Y

#define COMBINING_CODE_ADD_Y | ( |  | code | ) | ((code) & 0x3)

## PACK_OTF_TAG

#define PACK_OTF_TAG | ( |  | TAG | ) |

Value:
((((TAG) & 0x7F000000) >> 3) \
| (((TAG) & 0x7F0000) >> 2) \
| (((TAG) & 0x7F00) >> 1) \
| ((TAG) & 0x7F))

## Variable Documentation

## Mcombining

MSymbol Mcombining

extern